using System;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;

namespace RangeNavigatorSample
{
    public class RangeNavViewModel
    {
        public ObservableCollection<ChartDataPoint> DateTimeRangeData { get; set; }

        public RangeNavViewModel()
        {
            DateTimeRangeData = new ObservableCollection<ChartDataPoint>
            {
                new ChartDataPoint(new DateTime(2015, 01, 1), 40),
                new ChartDataPoint(new DateTime(2015, 02, 1), 50),
                new ChartDataPoint(new DateTime(2015, 03, 1), 20),
                new ChartDataPoint(new DateTime(2015, 04, 1), 50),
                new ChartDataPoint(new DateTime(2015, 05, 1), 75),
                new ChartDataPoint(new DateTime(2015, 06, 1), 32),
                new ChartDataPoint(new DateTime(2015, 07, 1), 78),
                new ChartDataPoint(new DateTime(2015, 08, 1), 100),
                new ChartDataPoint(new DateTime(2015, 09, 1), 55),
                new ChartDataPoint(new DateTime(2015, 10, 1), 38),
                new ChartDataPoint(new DateTime(2015, 11, 1), 62),
                new ChartDataPoint(new DateTime(2015, 12, 1), 40),
                new ChartDataPoint(new DateTime(2015, 12, 31), 70),
            };
        }
    }
}